Subject: Pine not compiling on RedHat Alpha Box

From: "Daniel Pumphrey" <[email-masked]>
Date: 1 Apr 1997 15:18:40 GMT

I'm running RedHat 4.0 with most of the 4.1 RPMS.  I have attempted to
install the src for pine and compile.  the build statement runs fine and
everything compiles to the point of it displaying the sizes of the
executables and it says that the pine and pico executables do not exist. 
For some reason they are not being compiled or built with the script.  I
have reinstalled the source several times and tried again and again.  There
is a makefile entry for linux - so i'm unsure of what the prob is. 
Attached is an example of where it dies.

Making Pico and Pilot
cc -c  -g -Dlnx -DPOSIX -DJOB_CONTROL -DMOUSE osdep.c
osdep.c: In function `kpinsert':
osdep.c:695: warning: cast to pointer from integer of different size
osdep.c:712: warning: cast to pointer from integer of different size
osdep.c: In function `alt_editor':
osdep.c:827: warning: cast to pointer from integer of different size
osdep.c: In function `bktoshell':
osdep.c:1037: warning: cast to pointer from integer of different size
osdep.c: In function `gethomedir':
osdep.c:1300: warning: cast to pointer from integer of different size
osdep.c: In function `errstr':
osdep.c:1341: conflicting types for `sys_errlist'
/usr/include/stdio.h:201: previous declaration of `sys_errlist'
osdep.c: In function `getfnames':
osdep.c:1408: warning: cast to pointer from integer of different size
osdep.c: In function `pfnexpand':
osdep.c:1512: warning: cast to pointer from integer of different size
osdep.c: In function `copy':
osdep.c:1754: warning: cast to pointer from integer of different size
osdep.c: In function `ffelbowroom':
osdep.c:1881: warning: cast to pointer from integer of different size
osdep.c: In function `pico_new_mail':
osdep.c:1979: warning: cast to pointer from integer of different size
make: *** [osdep.o] Error 1

Making Pine.
cc   -g -DDEBUG  -DLNX -DSYSTYPE=\"LNX\" -DMOUSE   -c ttyin.c -o ttyin.o
ttyin.c: In function `Raw':
ttyin.c:341: `TCSETAW' undeclared (first use this function)
ttyin.c:341: (Each undeclared identifier is reported only once
ttyin.c:341: for each function it appears in.)
ttyin.c:383: `TCGETA' undeclared (first use this function)
ttyin.c: In function `xonxoff_proc':
ttyin.c:483: `TCSETAW' undeclared (first use this function)
ttyin.c: In function `crlf_proc':
ttyin.c:543: `TCSETAW' undeclared (first use this function)
ttyin.c: In function `intr_proc':
ttyin.c:597: `TCSETAW' undeclared (first use this function)
ttyin.c: In function `flush_input':
ttyin.c:1088: `TCFLSH' undeclared (first use this function)
make: *** [ttyin.o] Error 1

Links to executables are in bin directory:
size: bin/pine: No such file or directory
text    data    bss     dec     hex     filename
303520  104626  2048    410194  64252   bin/mtest
318884  111666  8216    438766  6b1ee   bin/imapd
size: bin/pico: No such file or directory
size: bin/pilot: No such file or directory
Done